// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: '2024-11-01',
  devtools: { enabled: false },
  future: {
    compatibilityVersion: 4,
  },

  nitro: {
    prerender: {
      routes: [
        '/',
        '/imprint',
        '/privacy',
      ]
    }
  },

  app: {
    pageTransition: {
      name: 'page',
      mode: 'out-in',
    },
    head: {
      htmlAttrs: { lang: 'de' },
      link: [
        { rel: 'preload', as: 'image', href: '/img/propapier.svg', type: 'image/svg+xml' },
        { rel: 'icon', type: 'image/x-icon', href: '/favicon.svg' },
      ],
    }
  },

  routeRules: {
    '/': { prerender: true },
    '/imprint': { prerender: true },
    '/privacy': { prerender: true },
  },

  modules: ['@nuxt/icon', '@vueuse/nuxt', '@nuxtjs/device', '@nuxt/fonts'],

  css : [
    './app/assets/styles/general.css',
    './app/assets/styles/header.css',
    './app/assets/styles/footer.css',
    './app/assets/styles/button.css',
    './app/assets/styles/buttonGroup.css',
    './app/assets/styles/priceCard.css',
    './app/assets/styles/form/textfield.css',
    './app/assets/styles/form/search.css',
    './app/assets/styles/toolbar.css',
    './app/assets/styles/page.css',
  ]
})